<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://www.w3.org/2001/XMLSchema" targetNamespace="http://www.example.org/complexTypes" xmlns:tns="http://www.example.org/complexTypes" elementFormDefault="qualified">

    <element name="location">
    	<complexType>
    		<sequence>
    			<element name="longitude" type="double"></element>
    			<element name="latitude" type="double"></element>
    		</sequence>
    	</complexType>
    </element>

    <element name="contributor">
    	<complexType>
    		<simpleContent>
    			<extension base="string">
    				<attribute name="type" type="tns:contributorType"/>
    			</extension>
    		</simpleContent>
    	</complexType>
    </element>

    <simpleType name="contributorType">
    	<restriction base="string">
    		<enumeration value="editor"></enumeration>
    		<enumeration value="author"></enumeration>
    		<enumeration value="translator"></enumeration>
    	</restriction>
    </simpleType>

    <element name="unorderedLocation">
    	<complexType>
            <all>
    			<element name="longitude" type="float"></element>
    			<element name="latitude" type="float"></element>
    		</all>
    	</complexType>
    </element>

    <element name="color">
    	<complexType>
    		<choice>
    			<sequence>
    				<element name="red" type="unsignedByte"></element>
    				<element name="green" type="unsignedByte"></element>
    				<element name="blue" type="unsignedByte"></element>
    			</sequence>
   				<element name="component" maxOccurs="unbounded">
   					<complexType>
   						<simpleContent>
   							<extension base="unsignedByte">
   								<attribute name="type" type="string" use="required"/>
   							</extension>
   						</simpleContent>
   					</complexType>
   				</element>
    		</choice>
    	</complexType>
    </element>
</schema>